-- ****************************************************
-- Created by: ACTgen 3.3.1
-- Date: Thu Feb 11 16:57:52 1999
-- Parameters:
--   WIDTH:16
--   SIZE:16
-- ***************************************************


library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

entity dload is

  port(Data0 : in std_logic_vector(15 downto 0);
       Data1 : in std_logic_vector(15 downto 0);
       Data2 : in std_logic_vector(15 downto 0);
       Data3 : in std_logic_vector(15 downto 0);
       Sel0 : in std_logic;
       Sel1 : in std_logic;
       Result : out std_logic_vector(15 downto 0));

end dload;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;

architecture behavioral of dload is
begin

  process (Data0, Data1, Data2, Data3, Sel1, Sel0)
    variable sel : std_logic_vector(1 downto 0);
  begin

    sel := Sel1 & Sel0;
    case (CONV_INTEGER(UNSIGNED(sel))) is
      when 0 => Result <= Data0;
      when 1 => Result <= Data1;
      when 2 => Result <= Data2;
      when 3 => Result <= Data3;
      when others => Result <= "----------------";
    end case;

  end process;

end behavioral;
